﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@using System.Web.UI.WebControls
@model SSCMvc.Models.MaEnquiry
@{
    ViewBag.Title = "Create Enquiry";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
    <script src="~/Scripts/jquery.validate.min.js"></script>
    <style>
        .error { color: red; }
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button { -webkit-appearance: none; -moz-appearance: none; appearance: none; margin: 0; }
    </style>

    @Content.Script("PreventDouble.js", Url)
    <script>
        $("#EnqHandle").attr("required", true);
        $("#CityId").attr("required", true);
        $("#AreaId").attr("required", true);
        $("#EnqAbt").attr("required", true);
        $("#EnqType").attr("required", true);
        $("#EnqTimeSlot").attr("required", true);
    </script>
    <script type="text/javascript">

        $(document).ready(function () {

            $("#btnsubmit").click(function () {

                var en = $("#EnqAbt").val();
                var vtype = $("#VisaType").val();

                if (v1 == "VISA" || v1 == "VISITOR VISA") {

                    if (v8 == "") {
                        alert("Visa Type must be selected");
                        return;
                    }

                }


                $("#enqform").validate({
                    submitHandler: function (form) {
                        // disable your button here
                        var fewSeconds = 10;
                        $("#btnsubmit").attr("disabled", "disabled");
                        setTimeout(function () {
                            $("#btnsubmit").removeAttr('disabled');
                        }, fewSeconds * 1000);
                        form.submit();
                        //$("#btnsubmit").prop('disabled', true);

                    },
                    invalidHandler: function () {
                        // re-enable the button here as validation has failed
                    }
                });
            });



            $("#btngoadm").hide(); // hides button on load because on load.  if spoken english is checked by user only then show it. in other user will not go on admission directly
            $("#IELTSExmLearn").css('width', '90px');
            $("#IELTSExmRead").css('width', '90px');
            $("#IELTSExmWrit").css('width', '90px');
            $("#IELTSExmSpkn").css('width', '90px');

            CheckIteltsDetailDiv();

            $("#enqabt").attr('required', 'true');
            //$("#VisaType").attr('disabled', true)
            $("#WalkInDate").datepicker();
            $("#Month").datepicker();
            $("#DateOfExam").datepicker();
            $("#LastUpdatedDate").datepicker();
            $("#DemoFeeDate").datepicker();
            $("#ClassDate").datepicker();
            $("#DemoFeeDate").val($("#hdncurrentdate").val());

            currentdate("WalkInDate"); //calls functions from deleting.js to fill the current date automatically

            $("#EnquirySpkEng").live("click", function () {

                if (this.checked) {
                    $('#divexam').show();
                    //if enquiryspkeng is checked then IELTSAC is unchecked.
                    $("#EnquiryIELAC").attr('checked', false);
                    $("#btngoadm").show();
                }
                else {

                    $('#divexam').show();
                    $("#btngoadm").hide();
                }

            });


            $("#btnCancel").click(function () {
                window.location.href = "/MaEnquiry/Index";
            });

        });
    </script>
    <script type="text/javascript">

        $("#EnqAbt").change(function () {
            var enqabt1 = $("#EnqAbt").val();
            var flag = 0;
            $.getJSON("/MaEnquiry/GetVisaType", { enqabt: enqabt1 },
                function (modelData) {
                    var select = $("#VisaType");
                    select.empty();
                    select.append($('<option/>', {
                        value: "",
                        text: "Select"
                    }));
                    $.each(modelData, function (index, itemData) {
                        flag = 1;
                        select.append($('<option/>', {

                            value: itemData.Value,
                            text: itemData.Text,

                        }));
                    });
                });


        });

        function CheckDuplicate() {
            var Mobile = $("#Mobile").val();
            $.getJSON("/MaEnquiry/ChewckDuplicate", { Mobile: Mobile },
function (modelData) {
    if (modelData == "Y") {
        alert("Record With This Mobile No. Already Exists");
    }
});

        }


        function CheckDuplicateAlt() {
            var AMobile = $("#AlternateNo").val();
            if (AMobile != "") {
                $.getJSON("/MaEnquiry/ChewckDuplicateAlt", { Mobile: AMobile },
function (modelData) {
    if (modelData == "Y") {
        alert("Record With This Mobile No. Already Exists");
    }
});

            }


        }

        // this script is used for to get list of group time by group choice

        $("#GroupChoice").change(function () {
            var idCourse = $(this).val();

            $.getJSON("/MaEnquiry/Loadgrouptme", { id: idCourse },
   function (modelData) {

       var select = $("#Grouptime");
       select.empty();
       select.append($('<option/>', {
           value: null,
           text: "Select Time"
       }));
       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,



           }));
       });
   });
        });
    </script>
    <script type="text/javascript">

        window.history.forward();
        function noBack() { window.history.forward(); }

        $(document).ready(function () {
            $("#divexam").show();
            $("#EnquiryIELAC").live("click", function () {
                if (this.checked || $("#EnquiryStyVisa").attr("checked") || $("#EnquiryIELGT").attr("checked")) {
                    $("#divexam").show();
                    //if IELTSAC is checked then enquiryspkeng is unchecked.
                    //$("#EnquirySpkEng").attr('checked', false);
                }
                else {

                    $("#divexam").show();
                }
            });
            $("#EnquiryIELGT").live("click", function () {
                if (this.checked || $("#EnquiryStyVisa").attr("checked") || $("#EnquiryIELAC").attr("checked")) {
                    $("#divexam").show();
                    //if IELTSAC is checked then enquiryspkeng is unchecked.
                    //$("#EnquirySpkEng").attr('checked', false);
                }
                else {

                    $("#divexam").show();
                }
            });

            $("#EnquiryStyVisa").live("click", function () {

                if (this.checked || $("#EnquiryIELGT").attr("checked") || $("#EnquiryIELAC").attr("checked")) {
                    $("#divexam").show();
                    //if IELTSAC is checked then enquiryspkeng is unchecked.
                    //$("#EnquirySpkEng").attr('checked', false);
                }
                else {

                    $("#divexam").show();
                }
            });
        });

    </script>

    <script type="text/javascript">
        //saves value and moves to index page

        $("#btnsubmit").click(function () {

            if ($("#enqform").validate()) {

                $("#GoToAdm").val(false);
                var stype = $("#Source").val();
                var gtime = $("#Grouptime").val();
                var demofee = $("#DemoFeeAmt").val();

                if (demofee > 0 && gtime == "") {
                    alert("Plz select group time from dropdown");
                    return;
                }
                if (stype == "Any Other") {
                    if ($("#Other").val() == "") {
                        alert("Plz Fill Value For Other Source");
                    }
                    else {

                        if ($('#enqform').valid()) {
                            $("#enqform").submit();
                            $("#btnsubmit").attr('disabled', true);
                            $("#btngoadm").attr('disabled', true);
                        }
                    }
                }
                else {

                    if ($('#enqform').valid()) {

                        $("#enqform").submit();
                        $("#btnsubmit").attr('disabled', true);
                        $("#btngoadm").attr('disabled', true);
                    }
                    else {

                    }




                }
            }
        });


        //saves values and moves to admission page is user is willing for admission

        $("#btngoadm").click(function () {
            $("#GoToAdm").val(true);
            var stype = $("#Source").val();
            if (stype == "Any Other") {
                if ($("#Other").val() == "") {
                    alert("Plz Fill Value For Other Source");
                }
                else {
                    $("#enqform").submit();
                    $("#btnsubmit").hide();
                    $("#btngoadm").hide();
                }
            }
            else {


                $("#enqform").submit();
                $("#btnsubmit").hide();
                $("#btngoadm").hide();

            }
        });





        $("#IELTSExmRead").blur(function () {
            calbands();

        });

        $("#IELTSExmLearn").blur(function () {
            calbands();
        });

        $("#IELTSExmWrit").blur(function () {
            calbands();
        });

        $("#IELTSExmSpkn").blur(function () {
            calbands();
        });


        function calbands() {
            var value1 = $("#IELTSExmLearn").val();

            if (value1 == "") {

                value1 = 0;
            }

            var value2 = $("#IELTSExmWrit").val();
            if (value2 == "") {

                value2 = 0;
            }

            var value3 = $("#IELTSExmSpkn").val();

            if (value3 == "") {

                value3 = 0;
            }

            var value4 = $("#IELTSExmRead").val();

            if (value4 == "") {

                value4 = 0;
            }

            var sum = parseFloat((parseFloat(value1) + parseFloat(value2) + parseFloat(value3) + parseFloat(value4)));


            var ovr = overallband(sum);


            $("#IELTSExmOverall").val(ovr);
        }


        $("#EnqAbt").change(function () {

            CheckIteltsDetailDiv();
        })

        function CheckIteltsDetailDiv() {

            var val = $("#EnqAbt").val();

            if (val == "IELTS" || val == "VISA") {

                $("#divexam").show();

            }
            else {

                $("#divexam").show();
            }


        }

    </script>
    <script>
        function GetAreaList() {
            var city = $("#CityId").val();
            $.getJSON("/MaEnquiry/GetAreaList", { city: city },
      function (modelData) {
          var select = $("#AreaId");
          select.empty();
          select.append('<option value="0">Select</option>');
          $.each(modelData, function (index, itemData) {
              select.append($('<option/>', {
                  value: itemData.Value,
                  text: itemData.Text,
              }));
          });
      });
        }
    </script>
}
@using (Html.BeginForm("Create", "MaEnquiry", FormMethod.Post, new { @id = "enqform", @enctype = "multipart/form-data", onload = "noBack();", onpageshow = "if (event.persisted) noBack();" }))
{
    @Html.ValidationSummary(true)
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Create Enquiry
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="button" value="Save" class="btn btn-primary" id="btnsubmit" />
                @{if (Model.IsAdmission == false)
                {
                        <input type="button" value="Save & Go To Admission" class="btn btn-primary" id="btngoadm" />
                    }

                }
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <table style="width: 100%" align="center">
                <tr>
                    <td align="center">
                        All (<span class="color_style">*</span>) marked fields are compulsory
                    </td>
                </tr>
            </table>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table style="width: 700px" align="center">
                                <tr>
                                    <td>
                                        <span style="color: red; font-weight: bold">
                                            @ViewBag.ErrorMessage
                                        </span>
                                        <fieldset>
                                            <legend>General Detail</legend>
                                            <table style="width: 100%">
                                                <tr>
                                                    <td style="text-align: left">
                                                        <table style="text-align: left">
                                                            <tr>
                                                                <td>
                                                                    @Html.HiddenFor(model => model.GoToAdm)
                                                                    @Html.LabelFor(model => model.FirstName)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td style="text-align: left">
                                                        @Html.TextBoxFor(model => model.FirstName, new { @required = true })
                                                        @Html.ValidationMessageFor(model => model.FirstName)
                                                    </td>
                                                    <td style="text-align: left">
                                                        <table style="text-align: left">
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.LastName)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td style="text-align: left">
                                                        @Html.TextBoxFor(model => model.LastName, new { @required = true })
                                                        @Html.ValidationMessageFor(model => model.LastName)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align: left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Gender)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        <div>
                                                            @Html.RadioButtonFor(model => model.Gender, "Male") Male
                                                            @Html.RadioButtonFor(model => model.Gender, "Female") Female
                                                            @Html.ValidationMessageFor(model => model.Gender)
                                                        </div>
                                                    </td>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Mobile)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.TextBoxFor(model => model.Mobile, new { MaxLength = "10", @onblur = "CheckDuplicate()", @required = true })
                                                        @Html.ValidationMessageFor(model => model.Mobile)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td valign="top" align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @*@Html.LabelFor(model => model.FatherName)*@
                                                                    Father's/ Husband's Name
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.TextBoxFor(model => model.FatherName, new { @required = true, @maxlength = 50 })
                                                        @Html.ValidationMessageFor(model => model.FatherName)
                                                    </td>
                                                    <td align="left">
                                                        @Html.LabelFor(model => model.AlternateNo)
                                                    </td>
                                                    <td align="left">
                                                        @Html.TextBoxFor(model => model.AlternateNo, new { MaxLength = "10", @onblur = "CheckDuplicateAlt()" })
                                                        @Html.ValidationMessageFor(model => model.AlternateNo)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td valign="top" align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Address)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.EditorFor(model => model.Address)
                                                        @Html.ValidationMessageFor(model => model.Address)
                                                    </td>


                                                    <td align="left">
                                                        @Html.LabelFor(model => model.EmailId)
                                                    </td>
                                                    <td align="left">
                                                        @Html.EditorFor(model => model.EmailId)
                                                        @Html.ValidationMessageFor(model => model.EmailId)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td valign="top" align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.PinCode)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.TextBoxFor(model => model.PinCode, new { @required = true })
                                                        @Html.ValidationMessageFor(model => model.PinCode)
                                                    </td>
                                                    <td align="left">
                                                        @Html.LabelFor(model => model.FacebookId)
                                                    </td>
                                                    <td align="left">
                                                        @Html.TextBoxFor(model => model.FacebookId)
                                                        @Html.ValidationMessageFor(model => model.FacebookId)
                                                    </td>

                                                </tr>
                                                <tr></tr>
                                            </table>
                                        </fieldset>
                                        <br />
                                    </td>
                                </tr>
                            </table>
                            <div id="enquiry">
                                <table style="width: 700px" align="center">
                                    <tr>
                                        <td>
                                            <fieldset>
                                                <legend>Enquiry About</legend>
                                                <table style="width: 100%">
                                                    <tr>
                                                        <td align="left">
                                                            <label> Enquiry About <span class="color_style">*</span></label>
                                                        </td>
                                                        <td align="left" valign="top">
                                                            @Html.DropDownList("EnqAbt", "Select Enq About")
                                                            @Html.ValidationMessageFor(model => model.EnqAbt)
                                                        </td>
                                                        <td align="right">
                                                            <label> Upload Walkin Form</label>
                                                        </td>
                                                        <td align="right" valign="top">
                                                            <input type="file" class="form-control" id="File" name="File" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>Visa Type</td>
                                                        <td>
                                                            @Html.DropDownList("VisaType", "Select")
                                                        </td>
                                                        <td>Enquiry Type <span class="color_style">*</span></td>
                                                        <td>
                                                            @Html.DropDownList("EnqType", "Select Enq Type")
                                                            @Html.ValidationMessageFor(model => model.EnqType)
                                                        </td>

                                                    </tr>
                                                </table>

                                            </fieldset>
                                            <br />
                                        </td>

                                    </tr>



                                </table>
                            </div>
                            <table style="width: 700px" align="center">
                                <tr>
                                    <td>
                                        <fieldset>
                                            <legend>Other Detail</legend>
                                            <table width="100%">
                                                <tr>
                                                    <td></td>
                                                    <td></td>
                                                    <td>City *</td>
                                                    <td>@Html.DropDownList("CityId", (SelectList)ViewBag.val, "Select", new { @required = "true", @onchange = "GetAreaList()" })</td>
                                                </tr>
                                                <tr>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    Time Slot
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @{
                                                            var liTimeSlot = new List<ListItem>();
                                                            liTimeSlot.Add(new ListItem { Text = "", Value = "" });
                                                            liTimeSlot.Add(new ListItem { Text = "8-10", Value = "8-10" });
                                                            liTimeSlot.Add(new ListItem { Text = "10-12", Value = "10-12" });
                                                            liTimeSlot.Add(new ListItem { Text = "12-3", Value = "12-3" });
                                                            liTimeSlot.Add(new ListItem { Text = "3-7", Value = "3-7" });

                                                        }
                                                        @Html.DropDownListFor(model => model.EnqTimeSlot, new SelectList(liTimeSlot))
                                                        @Html.ValidationMessageFor(model => model.EnqTimeSlot)
                                                    </td>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    Area
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td>
                                                        @Html.DropDownList("AreaId", (SelectList)ViewBag.val, "Select", new { @required = "true" })
                                                        @*@Html.DropDownList("AreaId", "Select")*@
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.WalkInType)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @{
                                                            var listItems = new List<ListItem>();
                                                            listItems.Add(new ListItem { Text = "Direct", Value = "Direct" });
                                                            listItems.Add(new ListItem { Text = "Telephonic", Value = "Telephonic" });
                                                        }
                                                        @Html.DropDownListFor(model => model.WalkInType, new SelectList(listItems))
                                                        @Html.ValidationMessageFor(model => model.WalkInType)
                                                    </td>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.WalkInDate)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.EditorFor(model => model.WalkInDate)
                                                        @Html.ValidationMessageFor(model => model.WalkInDate)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Source)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @{
                                                            var listIt = new List<ListItem>();
                                                            listIt.Add(new ListItem { Text = "", Value = "" });
                                                            listIt.Add(new ListItem { Text = "Newspaper", Value = "Newspaper" });
                                                            listIt.Add(new ListItem { Text = "Friends/Family", Value = "Friends" });
                                                            listIt.Add(new ListItem { Text = "Justdial", Value = "Justdial" });
                                                            listIt.Add(new ListItem { Text = "Facebook", Value = "Facebook" });
                                                            listIt.Add(new ListItem { Text = "Old Student", Value = "Old Student" });
                                                            listIt.Add(new ListItem { Text = "Seminar", Value = "Seminar" });
                                                            listIt.Add(new ListItem { Text = "Hoardings/Boards", Value = "Hoardings/Boards" });
                                                            listIt.Add(new ListItem { Text = "Campus-2 Board", Value = "Campus-2 Board" });
                                                            listIt.Add(new ListItem { Text = "Website", Value = "Website" });
                                                            listIt.Add(new ListItem { Text = "Telephonic", Value = "Telephonic" });
                                                            listIt.Add(new ListItem { Text = "Any Other", Value = "Any Other" });



                                                        }
                                                        @Html.DropDownListFor(model => model.Source, new SelectList(listIt))
                                                        @Html.ValidationMessageFor(model => model.Source)
                                                    </td>
                                                    <td>
                                                        Other Source
                                                    </td>
                                                    <td>
                                                        @Html.EditorFor(model => model.Other)
                                                    </td>
                                                </tr>
                                                <tr>
                                                  
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.CounselorName, "User")
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        <b>   @ViewBag.CounselorName</b>
                                                        @Html.HiddenFor(model => model.CounselorName)
                                                        @Html.ValidationMessageFor(model => model.CounselorName)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left" valign="top">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.EnqHandledBy)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.DropDownList("EnqHandle", "Select")
                                                        @Html.HiddenFor(model => model.EnqHandledBy)
                                                        @Html.ValidationMessageFor(model => model.EnqHandledBy)
                                                    </td>
                                                    <td align="left" valign="top">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Remarks)
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.EditorFor(model => model.Remarks)
                                                        @Html.ValidationMessageFor(model => model.Remarks)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        Visa Prospective
                                                    </td>
                                                    <td>
                                                        @Html.CheckBoxFor(z => z.IsVisaProspect)
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                        <br />
                                    </td>
                                </tr>
                            </table>
                            <div id="divexam">
                                <table style="width: 700px" align="center">
                                    <tr>
                                        <td>
                                            <fieldset>
                                                <legend>IELTS Detail </legend>
                                                <table style="width: 100%">
                                                    <tr>
                                                        <td align="left">
                                                            @{
                                                                var listItcountint = new List<ListItem>();
                                                                listItcountint.Add(new ListItem { Text = "Select", Value = "Select" });
                                                                listItcountint.Add(new ListItem { Text = "Australia", Value = "Australia" });
                                                                listItcountint.Add(new ListItem { Text = "Canada", Value = "Canada" });
                                                                listItcountint.Add(new ListItem { Text = "New Zealand", Value = "NewZealand" });
                                                                listItcountint.Add(new ListItem { Text = "UK", Value = "UK" });
                                                                listItcountint.Add(new ListItem { Text = "USA", Value = "USA" });
                                                                listItcountint.Add(new ListItem { Text = "Singapore", Value = "Singapore" });


                                                            }
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        @Html.LabelFor(model => model.CountryInterested)
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td align="left">
                                                            @Html.DropDownListFor(model => model.CountryInterested, new SelectList(listItcountint))
                                                            @Html.ValidationMessageFor(model => model.CountryInterested)
                                                        </td>
                                                        <td>
                                                            @Html.LabelFor(model => model.CityPreference)
                                                        </td>
                                                        <td>
                                                            @Html.EditorFor(model => model.CityPreference)
                                                            @Html.ValidationMessageFor(model => model.CityPreference)
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td align="left">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        @Html.LabelFor(model => model.DateOfExam)
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td align="left">
                                                            @Html.EditorFor(model => model.DateOfExam)
                                                            @Html.ValidationMessageFor(model => model.DateOfExam)
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="4">
                                                            <hr />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="4" align="left">
                                                            <table>
                                                                <tr>
                                                                    <td align="left">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    @Html.LabelFor(model => model.IELTSExmLearn)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.EditorFor(model => model.IELTSExmLearn)
                                                                        @Html.ValidationMessageFor(model => model.IELTSExmLearn)
                                                                    </td>
                                                                    <td align="left">
                                                                        <table>
                                                                            <tr>
                                                                                <td width="60px" align="right">
                                                                                    @Html.LabelFor(model => model.IELTSExmRead)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.EditorFor(model => model.IELTSExmRead)
                                                                        @Html.ValidationMessageFor(model => model.IELTSExmRead)
                                                                    </td>
                                                                    <td align="left">
                                                                        <table>
                                                                            <tr>
                                                                                <td width="60px" align="right">
                                                                                    @Html.LabelFor(model => model.IELTSExmWrit)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.EditorFor(model => model.IELTSExmWrit)
                                                                        @Html.ValidationMessageFor(model => model.IELTSExmWrit)
                                                                    </td>
                                                                    <td align="left">
                                                                        <table>
                                                                            <tr>
                                                                                <td width="60px" align="right">
                                                                                    @Html.LabelFor(model => model.IELTSExmSpkn)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.EditorFor(model => model.IELTSExmSpkn)
                                                                        @Html.ValidationMessageFor(model => model.IELTSExmSpkn)
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td align="left">
                                                            <table>
                                                                <tr>
                                                                    <td width="60px" align="right">
                                                                        @Html.LabelFor(model => model.IELTSExmOverall)
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td align="left">
                                                            @Html.EditorFor(model => model.IELTSExmOverall)
                                                            @Html.ValidationMessageFor(model => model.IELTSExmOverall)
                                                        </td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                            <br />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <table style="width: 700px" align="center">
                                <tr>
                                    <td>
                                        <fieldset>
                                            <legend>Demo Detail</legend>
                                            <table width="100%">
                                                <tr>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.DemoFeeAmt)
                                                                </td>

                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td>
                                                        @Html.EditorFor(model => model.DemoFeeAmt)
                                                    </td>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.ClassDate)
                                                                </td>

                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.EditorFor(model => model.ClassDate)
                                                    </td>
                                                </tr>
                                                <tr></tr>
                                                <tr>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.DemoFeeDate)
                                                                </td>

                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @*@{
                                                            string currentdate = DateTime.Now.Date.ToShortDateString();

                                                                        }*@
                                                        @Html.EditorFor(model => model.DemoFeeDate)

                                                        @*@Html.Hidden("hdncurrentdate", currentdate)*@

                                                    </td>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.GroupChoice)
                                                                </td>

                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">


                                                        @Html.DropDownList("GroupChoice", "Select Group Choice")
                                                        @Html.ValidationMessageFor(model => model.GroupChoice)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Grouptime)
                                                                </td>

                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.DropDownList("Grouptime", "Select Time")
                                                        @Html.ValidationMessageFor(model => model.Grouptime)
                                                    </td>

                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Demobranchid)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.DropDownList("Demobranchid", "Select")
                                                        @Html.ValidationMessageFor(model => model.Demobranchid)
                                                    </td>

                                                </tr>
                                            </table>
                                        </fieldset>
                                        <br />
                                    </td>
                                </tr>
                            </table>


                            <table style="width: 700px" align="center">
                                <tr>
                                    <td>
                                        <fieldset>
                                            <legend>Qualification Detail</legend>
                                            <table width="100%">
                                                <tr>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <label>Qualification</label>
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        <input type="text" value="" id="Qualification" name="Qualification" maxlength="40" required />
                                                    </td>

                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <label>YearOfPassing</label>
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        <input type="text" value="" id="YearOfPassing" name="YearOfPassing" maxlength="4" required />
                                                    </td>
                                                </tr>
                                                <tr></tr>
                                                <tr>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <label>%age</label>
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        <input type="number" placeholder="For Ex: 67" value="" id="CGPA" name="CGPA" required />
                                                        <span><br />Only Numbers are accepted</span>
                                                    </td>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <label>Board</label>
                                                                </td>

                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        <input type="text" value="" id="Board" name="Board" maxlength="35" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                        <br />
                                    </td>
                                </tr>
                            </table>

                        </form>
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>




                                                                }
